jlec        15/03/21 21:46:42

  Modified:             389-ds-base-1.3.0.2-r1.ebuild ChangeLog
  Log:
  use dosbin instead of exeinto /usr/sbin/ && doexe
  
  (Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 
B9D4F231BD1558AB!)

Revision  Changes    Path
1.4                  net-nds/389-ds-base/389-ds-base-1.3.0.2-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-nds/389-ds-base/389-ds-base-1.3.0.2-r1.ebuild?rev=1.4&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-nds/389-ds-base/389-ds-base-1.3.0.2-r1.ebuild?rev=1.4&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-nds/389-ds-base/389-ds-base-1.3.0.2-r1.ebuild?r1=1.3&r2=1.4

Index: 389-ds-base-1.3.0.2-r1.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/net-nds/389-ds-base/389-ds-base-1.3.0.2-r1.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- 389-ds-base-1.3.0.2-r1.ebuild       2 Nov 2014 09:20:03 -0000       1.3
+++ 389-ds-base-1.3.0.2-r1.ebuild       21 Mar 2015 21:46:42 -0000      1.4
@@ -1,12 +1,13 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/net-nds/389-ds-base/389-ds-base-1.3.0.2-r1.ebuild,v 1.3 
2014/11/02 09:20:03 swift Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/net-nds/389-ds-base/389-ds-base-1.3.0.2-r1.ebuild,v 1.4 
2015/03/21 21:46:42 jlec Exp $
 
 EAPI=5
 
 WANT_AUTOMAKE="1.9"
 MY_P=${P/_alpha/.a}
 MY_P=${MY_P/_rc/.rc}
+
 inherit user eutils multilib flag-o-matic autotools
 
 DESCRIPTION="389 Directory Server (core librares and daemons )"
@@ -18,19 +19,20 @@
 KEYWORDS="~amd64 ~x86"
 IUSE="autobind auto-dn-suffix debug doc +pam-passthru +dna +ldapi +bitwise 
+presence kerberos selinux"
 
-ALL_DEPEND="!>=sys-libs/db-5.0
+ALL_DEPEND="
+       !>=sys-libs/db-5.0
        >=dev-libs/cyrus-sasl-2.1.19
        >=dev-libs/icu-3.4:=
        dev-libs/nss[utils]
        dev-libs/nspr
        dev-libs/svrcore
-       dev-libs/openssl
+       dev-libs/openssl:0=
        dev-libs/libpcre:3
        dev-perl/perl-mozldap
        >=net-analyzer/net-snmp-5.1.2
        net-nds/openldap
        sys-apps/tcp-wrappers
-       >=sys-libs/db-4.5
+       >=sys-libs/db-4.5:=
        sys-libs/pam
        sys-libs/zlib
        kerberos? ( >=app-crypt/mit-krb5-1.7-r100[openldap] )"
@@ -66,6 +68,7 @@
        sed -i '/^nsslapd-allow-unauthenticated-binds/ s/off/on/' 
"${S}"/ldap/ldif/template-dse.ldif.in || \
                die "cannot tweak default setting: 
nsslapd-allow-unauthenticated-binds"
 
+       append-lfs-flags
 }
 
 src_configure() {
@@ -86,18 +89,12 @@
                --enable-autobind \
                --with-fhs \
                --with-openldap \
-               $myconf || die "econf failed"
-}
-
-src_compile() {
-       append-lfs-flags
-
-       emake || die "compile failed"
+               $myconf
 }
 
 src_install () {
        # Use -j1 otherwise libacl-plugin.so could fail to install properly
-       emake -j1 DESTDIR="${D}" install || die "emake install failed"
+       emake -j1 DESTDIR="${D}" install
 
        # install not installed header
        insinto /usr/include/dirsrv
@@ -108,7 +105,7 @@
        doins ldap/servers/plugins/replication/repl-session-plugin.h
 
        # make sure perl scripts have a proper shebang
-       cd "${D}"/usr/share/dirsrv/script-templates/
+       cd "${D}"/usr/share/dirsrv/script-templates/ || die
 
        for i in $(find ./  -iname '*.pl') ;do
                sed -i -e 's/#{{PERL-EXEC}}/#\!\/usr\/bin\/perl/' $i || die
@@ -124,15 +121,13 @@
 
        # install Gentoo-specific start/stop scripts
        rm -f "${D}"/usr/sbin/{re,}start-dirsrv || die "cannot remove 389 
start/stop executables"
-       exeinto /usr/sbin
-       doexe "${FILESDIR}"/{re,}start-dirsrv
+       dosbin "${FILESDIR}"/{re,}start-dirsrv
 
        # cope with libraries being in /usr/lib/dirsrv
        dodir /etc/env.d
        echo "LDPATH=/usr/$(get_libdir)/dirsrv" > "${D}"/etc/env.d/08dirsrv
 
        # create the directory where our log file and database
-       diropts -m 0755
        dodir /var/lib/dirsrv
        keepdir /var/lib/dirsrv
        dodir /var/lock/dirsrv
@@ -142,14 +137,14 @@
        dodir /var/agentx
 
        if use doc; then
-               cd "${S}"
+               cd "${S}" || die
                doxygen slapi.doxy || die "cannot run doxygen"
                dohtml -r docs/html
        fi
 }
 
 pkg_postinst() {
-       elog
+       echo
        elog "If you are planning to use 389-ds-snmp (ldap-agent),"
        elog "make sure to properly configure: 
/etc/dirsrv/config/ldap-agent.conf"
        elog "adding proper 'server' entries, and adding the lines below to"
@@ -158,15 +153,13 @@
        elog "master agentx"
        elog "agentXSocket /var/agentx/master"
        elog
-       elog
        elog "To start 389 Directory Server (LDAP service) at boot:"
        elog
        elog "    rc-update add 389-ds default"
        elog
-
        elog "If you are upgrading from previous 1.2.6 release candidates"
        elog "please see:"
        elog 
"http://directory.fedoraproject.org/wiki/Subtree_Rename#warning:_upgrade_from_389_v1.2.6_.28a.3F.2C_rc1_.7E_rc6.29_to_v1.2.6_rc6_or_newer";
-       elog
+       echo
 
 }



1.30                 net-nds/389-ds-base/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-nds/389-ds-base/ChangeLog?rev=1.30&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-nds/389-ds-base/ChangeLog?rev=1.30&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-nds/389-ds-base/ChangeLog?r1=1.29&r2=1.30

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-nds/389-ds-base/ChangeLog,v
retrieving revision 1.29
retrieving revision 1.30
diff -u -r1.29 -r1.30
--- ChangeLog   2 Nov 2014 09:20:03 -0000       1.29
+++ ChangeLog   21 Mar 2015 21:46:42 -0000      1.30
@@ -1,6 +1,9 @@
 # ChangeLog for net-nds/389-ds-base
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-nds/389-ds-base/ChangeLog,v 1.29 
2014/11/02 09:20:03 swift Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-nds/389-ds-base/ChangeLog,v 1.30 
2015/03/21 21:46:42 jlec Exp $
+
+  21 Mar 2015; Justin Lecher <[email protected]> 389-ds-base-1.3.0.2-r1.ebuild:
+  use dosbin instead of exeinto /usr/sbin/ && doexe
 
   02 Nov 2014; Sven Vermeulen <[email protected]> 389-ds-base-1.3.0.2-r1.ebuild:
   Remove sec-policy/selinux-* dependency from DEPEND but keep in RDEPEND (bug




Reply via email to